package com.slibra.web.controller.system;

import io.micrometer.core.annotation.Timed;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.slibra.common.config.SlibraConfig;
import com.slibra.common.utils.StringUtils;

/**
 * 首页
 *
 * 
 */
@RestController
public class SysIndexController
{
    /** 系统基础配置 */
    @Autowired
    private SlibraConfig slibraConfig;

    /**
     * 访问首页，提示语
     */
    @Timed(value = "main_page_request_duration", description = "Time taken to return main page", histogram = true)
    @RequestMapping("/")
    public String index()
    {
        return StringUtils.format("欢迎使用{}后台管理框架，当前版本：v{}，请通过前端地址访问。", slibraConfig.getName(), slibraConfig.getVersion());
    }
}
