package com.slibra.business.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 坐席信息对象 c_agent
 * 
 * @author slibra
 * @date 2024-11-25
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CAgent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 租户隔离 */
    @Excel(name = "租户隔离")
    private String saasId;

    /** 坐席工号 */
    @Excel(name = "坐席工号")
    private String agentNum;

    /** 坐席姓名 */
    @Excel(name = "坐席姓名")
    private String agentName;

    /** 外部id */
    @Excel(name = "外部id")
    private String outId;

    /** 坐席密码 */
    @Excel(name = "坐席密码")
    private String agentPwd;

    /** 坐席类型 0:普通坐席 ;1:组长:2:主管 */
    @Excel(name = "坐席类型 0:普通坐席 ;1:组长:2:主管")
    private Long agentType;

    /** 分机号 */
    @Excel(name = "分机号")
    private String phoneNum;

    /** 分配标志  0:不参与排队；1:参与排队 */
    @Excel(name = "分配标志  0:不参与排队；1:参与排队")
    private Long distribute;

    /** 账号状态 0:可用;1:禁用 */
    @Excel(name = "账号状态 0:可用;1:禁用")
    private Long agentState;

    /** 身份标识 */
    @Excel(name = "身份标识")
    private Long identityType;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDelete;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

}
