package com.slibra.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 坐席监控对象 c_agent_monitor
 * 
 * @author slibra
 * @date 2024-11-25
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CAgentMonitor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 租户隔离 */
    @Excel(name = "租户隔离")
    private String saasId;

    /** 坐席工号 */
    @Excel(name = "坐席工号")
    private String agentNum;

    /** 外部id */
    @Excel(name = "外部id")
    private String outId;

    /** 身份标识 */
    @Excel(name = "身份标识")
    private Long identityType;

    /** 是否签入 0:是 1: 否  默认未签入 */
    @Excel(name = "是否签入 0:是 1: 否  默认未签入")
    private Long checkState;

    /** 迁入场景 */
    @Excel(name = "迁入场景")
    private String checkScene;

    /** 签入时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "签入时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkInTime;

    /** 签出时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "签出时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkOutTime;

    /** 坐席服务状态 0: 未登录(签出) 1: 置忙 2: 置闲 3: 通话中 4: 后处理 5: 拨号中 */
    @Excel(name = "坐席服务状态 0: 未登录(签出) 1: 置忙 2: 置闲 3: 通话中 4: 后处理 5: 拨号中")
    private Long serviceState;

    /** 置忙时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "置忙时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date busyTime;

    /** 置闲时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "置闲时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date idleTime;

    /** 接通时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "接通时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date callTime;

    /** 挂断时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "挂断时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date hangTime;

    /** 心跳状态 0: 默认 1：正常  2: 异常 */
    @Excel(name = "心跳状态 0: 默认 1：正常  2: 异常")
    private Long heartState;

    /** 正常心跳时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "正常心跳时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date heartTime;

    /** sessionId */
    @Excel(name = "sessionId")
    private String sessionId;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDelete;

}
