package com.slibra.business.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 流量分桶对象 c_bucket
 * 
 * @author slibra
 * @date 2025-01-06
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CBucket extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 实验id */
    @Excel(name = "实验id")
    private String eid;

    /** 下限 */
    @Excel(name = "下限")
    private Integer lower;

    /** 上限 */
    @Excel(name = "上限")
    private Integer upper;

    /** 拓展配置 */
    @Excel(name = "拓展配置")
    private String config;


}
