package com.slibra.business.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 人工服务组与坐席关系对象 c_human_service_map
 * 
 * @author slibra
 * @date 2024-12-11
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CHumanServiceMap extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 租户隔离 */
    @Excel(name = "租户隔离")
    private String saasId;

    /** 人工组编号 */
    @Excel(name = "人工组编号")
    private String serviceId;

    /** 服务类型 */
    @Excel(name = "服务类型")
    private String serviceType;

    /** 坐席工号 */
    @Excel(name = "坐席工号")
    private String agentId;

    /** 状态 1激活(签入) */
    @Excel(name = "状态 1激活(签入)")
    private Long state;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDelete;

}
