package com.slibra.business.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

import java.io.Serializable;

/**
 * 全国省市区数据对象 city
 * 
 * @author slibra
 * @date 2024-11-11
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class City implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 行政区划代码 */
    @Excel(name = "行政区划代码")
    private Long code;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 上级id */
    @Excel(name = "上级id")
    private Long pid;

    /** 类型 */
    @Excel(name = "类型")
    private String type;
}
