package com.slibra.business.domain;

import java.math.BigDecimal;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 分流策略配置记录对象 t_bucket_record
 * 
 * @author slibra
 * @date 2025-01-07
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TBucketRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 传统服务占比 */
    @Excel(name = "传统服务占比")
    private Integer traditionPercent;

    /** ai服务占比 */
    @Excel(name = "ai服务占比")
    private Integer aiPercent;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    @Excel(name = "乐观锁")
    private Long revision;

}
