package com.slibra.business.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.slibra.business.res.CutOffExtraRes;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 停水信息对象 t_cut_off_water
 * 
 * @author slibra
 * @date 2024-11-05
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TCutOffWater extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 停水开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "停水开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date timeBegin;

    /** 停水截止时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "停水截止时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date timeEnd;

    /** 停水原因 */
    @Excel(name = "停水原因")
    private String reason;

    //2024年11月14日15:28:52 一个停水可以添加多个小区-泵站，只要保障小区和泵站一起是唯一的就可以了，此字段不再使用
    /** 关联的泵站-小区楼号的ID */
    @Excel(name = "关联的泵站-小区楼号的ID")
    @Deprecated
    private String pumpingStationNeighborhoodBuildingId;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    @Excel(name = "乐观锁")
    private Long revision;

    //2024年11月06日14:06:16 额外返回的字段
    /** 小区的名字 */
    private String neighbourhoodName;

    //停水状态
    private Integer status;//0未知 1待停水  2停水中  3已恢复

    //绑定的小区-泵站信息列表
    private List<CutOffExtraRes> extraResList;


}
