package com.slibra.business.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 停水记录管理小区泵站关系对象 t_cut_off_water_extra
 * 
 * @author slibra
 * @date 2024-11-14
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TCutOffWaterExtra extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 停水信息表ID */
    @Excel(name = "停水信息表ID")
    private Long cutOffWaterId;

    /** 小区ID */
    @Excel(name = "小区ID")
    private Long neighborhoodId;

    /** 泵站ID */
    @Excel(name = "泵站ID")
    private Long pumpingStationId;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    @Excel(name = "乐观锁")
    private Long revision;

}
