package com.slibra.business.mapper;

import java.util.List;
import com.slibra.business.domain.CHumanServiceMap;

/**
 * 人工服务组与坐席关系Mapper接口
 * 
 * @author slibra
 * @date 2024-12-11
 */
public interface CHumanServiceMapMapper 
{
    /**
     * 查询人工服务组与坐席关系
     * 
     * @param id 人工服务组与坐席关系主键
     * @return 人工服务组与坐席关系
     */
    public CHumanServiceMap selectCHumanServiceMapById(String id);

    /**
     * 查询人工服务组与坐席关系列表
     * 
     * @param cHumanServiceMap 人工服务组与坐席关系
     * @return 人工服务组与坐席关系集合
     */
    public List<CHumanServiceMap> selectCHumanServiceMapList(CHumanServiceMap cHumanServiceMap);

    /**
     * 新增人工服务组与坐席关系
     * 
     * @param cHumanServiceMap 人工服务组与坐席关系
     * @return 结果
     */
    public int insertCHumanServiceMap(CHumanServiceMap cHumanServiceMap);

    /**
     * 修改人工服务组与坐席关系
     * 
     * @param cHumanServiceMap 人工服务组与坐席关系
     * @return 结果
     */
    public int updateCHumanServiceMap(CHumanServiceMap cHumanServiceMap);

    /**
     * 删除人工服务组与坐席关系
     * 
     * @param id 人工服务组与坐席关系主键
     * @return 结果
     */
    public int deleteCHumanServiceMapById(String id);

    /**
     * 批量删除人工服务组与坐席关系
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCHumanServiceMapByIds(String[] ids);
}
