package com.slibra.business.mapper;

import java.util.List;
import com.slibra.business.domain.City;

/**
 * 全国省市区数据Mapper接口
 * 
 * @author slibra
 * @date 2024-11-11
 */
public interface CityMapper 
{
    /**
     * 查询全国省市区数据
     * 
     * @param id 全国省市区数据主键
     * @return 全国省市区数据
     */
    public City selectCityById(String id);

    /**
     * 查询全国省市区数据列表
     * 
     * @param city 全国省市区数据
     * @return 全国省市区数据集合
     */
    public List<City> selectCityList(City city);

    /**
     * 新增全国省市区数据
     * 
     * @param city 全国省市区数据
     * @return 结果
     */
    public int insertCity(City city);

    /**
     * 修改全国省市区数据
     *
     * @param city 全国省市区数据
     * @return 结果
     */
    public int updateCity(City city);

    /**
     * 删除全国省市区数据
     *
     * @param id 全国省市区数据主键
     * @return 结果
     */
    public int deleteCityById(String id);

    /**
     * 批量删除全国省市区数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCityByIds(String[] ids);
}
