package com.slibra.business.mapper;

import java.util.List;
import com.slibra.business.domain.TCutOffWaterExtra;

/**
 * 停水记录管理小区泵站关系Mapper接口
 * 
 * @author slibra
 * @date 2024-11-14
 */
public interface TCutOffWaterExtraMapper 
{
    /**
     * 查询停水记录管理小区泵站关系
     * 
     * @param id 停水记录管理小区泵站关系主键
     * @return 停水记录管理小区泵站关系
     */
    public TCutOffWaterExtra selectTCutOffWaterExtraById(Long id);

    /**
     * 查询停水记录管理小区泵站关系列表
     * 
     * @param tCutOffWaterExtra 停水记录管理小区泵站关系
     * @return 停水记录管理小区泵站关系集合
     */
    public List<TCutOffWaterExtra> selectTCutOffWaterExtraList(TCutOffWaterExtra tCutOffWaterExtra);

    /**
     * 新增停水记录管理小区泵站关系
     * 
     * @param tCutOffWaterExtra 停水记录管理小区泵站关系
     * @return 结果
     */
    public int insertTCutOffWaterExtra(TCutOffWaterExtra tCutOffWaterExtra);

    /**
     * 修改停水记录管理小区泵站关系
     * 
     * @param tCutOffWaterExtra 停水记录管理小区泵站关系
     * @return 结果
     */
    public int updateTCutOffWaterExtra(TCutOffWaterExtra tCutOffWaterExtra);

    /**
     * 删除停水记录管理小区泵站关系
     * 
     * @param id 停水记录管理小区泵站关系主键
     * @return 结果
     */
    public int deleteTCutOffWaterExtraById(Long id);

    /**
     * 批量删除停水记录管理小区泵站关系
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTCutOffWaterExtraByIds(Long[] ids);
}
