package com.slibra.business.mapper;

import java.util.List;
import com.slibra.business.domain.TNeighborhood;
import com.slibra.business.domain.TPumpingStation;
import com.slibra.business.res.PumpAndBuildingNumberNames;

/**
 * 服务小区Mapper接口
 * 
 * @author slibra
 * @date 2024-11-05
 */
public interface TNeighborhoodMapper 
{
    /**
     * 查询服务小区
     * 
     * @param id 服务小区主键
     * @return 服务小区
     */
    public TNeighborhood selectTNeighborhoodById(Long id);

    /**
     * 查询服务小区列表
     * 
     * @param tNeighborhood 服务小区
     * @return 服务小区集合
     */
    public List<TNeighborhood> selectTNeighborhoodList(TNeighborhood tNeighborhood);

    /**
     * 新增服务小区
     * 
     * @param tNeighborhood 服务小区
     * @return 结果
     */
    public int insertTNeighborhood(TNeighborhood tNeighborhood);

    /**
     * 修改服务小区
     * 
     * @param tNeighborhood 服务小区
     * @return 结果
     */
    public int updateTNeighborhood(TNeighborhood tNeighborhood);

    /**
     * 删除服务小区
     * 
     * @param id 服务小区主键
     * @return 结果
     */
    public int deleteTNeighborhoodById(Long id);

    /**
     * 批量删除服务小区
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTNeighborhoodByIds(Long[] ids);

    String getNeighbourhoodBuildingsNamesById(Long id);

    String getPumpingStationNamesById(Long id);

    /**
     * 通过小区的ID获取所有的关联的泵站信息
     * @param id
     * @return
     */
    List<TPumpingStation> getPumpingStationByNeighbourhoodId(Long id);

    String getNeighbourhoodBuildingNamesByPumpingStationId(Long pumpingStationId);

    List<PumpAndBuildingNumberNames> getPumpAndBuildingNumberNamesByNeighbourhoodId(Long id);
}
