package com.slibra.business.mapper;

import java.util.List;
import com.slibra.business.domain.TPumpingStation;
import com.slibra.business.res.NeighbourhoodAndBuilding;

/**
 * 泵站Mapper接口
 * 
 * @author slibra
 * @date 2024-11-05
 */
public interface TPumpingStationMapper 
{
    /**
     * 查询泵站
     * 
     * @param id 泵站主键
     * @return 泵站
     */
    public TPumpingStation selectTPumpingStationById(Long id);

    /**
     * 查询泵站列表
     * 
     * @param tPumpingStation 泵站
     * @return 泵站集合
     */
    public List<TPumpingStation> selectTPumpingStationList(TPumpingStation tPumpingStation);

    /**
     * 新增泵站
     * 
     * @param tPumpingStation 泵站
     * @return 结果
     */
    public int insertTPumpingStation(TPumpingStation tPumpingStation);

    /**
     * 修改泵站
     * 
     * @param tPumpingStation 泵站
     * @return 结果
     */
    public int updateTPumpingStation(TPumpingStation tPumpingStation);

    /**
     * 删除泵站
     * 
     * @param id 泵站主键
     * @return 结果
     */
    public int deleteTPumpingStationById(Long id);

    /**
     * 批量删除泵站
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTPumpingStationByIds(Long[] ids);

    List<NeighbourhoodAndBuilding> getNeighbourhoodAndBuildingByPumpingId(Long id);
}
