package com.slibra.business.service;

import java.util.List;
import com.slibra.business.domain.CAgent;

/**
 * 坐席信息Service接口
 * 
 * @author slibra
 * @date 2024-11-25
 */
public interface ICAgentService 
{
    /**
     * 查询坐席信息
     * 
     * @param id 坐席信息主键
     * @return 坐席信息
     */
    public CAgent selectCAgentById(String id);

    /**
     * 查询坐席信息列表
     * 
     * @param cAgent 坐席信息
     * @return 坐席信息集合
     */
    public List<CAgent> selectCAgentList(CAgent cAgent);

    /**
     * 新增坐席信息
     * 
     * @param cAgent 坐席信息
     * @return 结果
     */
    public int insertCAgent(CAgent cAgent);

    /**
     * 修改坐席信息
     * 
     * @param cAgent 坐席信息
     * @return 结果
     */
    public int updateCAgent(CAgent cAgent);

    /**
     * 批量删除坐席信息
     * 
     * @param ids 需要删除的坐席信息主键集合
     * @return 结果
     */
    public int deleteCAgentByIds(String[] ids);

    /**
     * 删除坐席信息信息
     * 
     * @param id 坐席信息主键
     * @return 结果
     */
    public int deleteCAgentById(String id);
}
