package com.slibra.business.service;

import java.util.List;
import com.slibra.business.domain.TBucketRecord;

/**
 * 分流策略配置记录Service接口
 * 
 * @author slibra
 * @date 2025-01-07
 */
public interface ITBucketRecordService 
{
    /**
     * 查询分流策略配置记录
     * 
     * @param id 分流策略配置记录主键
     * @return 分流策略配置记录
     */
    public TBucketRecord selectTBucketRecordById(Long id);

    /**
     * 查询分流策略配置记录列表
     * 
     * @param tBucketRecord 分流策略配置记录
     * @return 分流策略配置记录集合
     */
    public List<TBucketRecord> selectTBucketRecordList(TBucketRecord tBucketRecord);

    /**
     * 新增分流策略配置记录
     * 
     * @param tBucketRecord 分流策略配置记录
     * @return 结果
     */
    public int insertTBucketRecord(TBucketRecord tBucketRecord);

    /**
     * 修改分流策略配置记录
     * 
     * @param tBucketRecord 分流策略配置记录
     * @return 结果
     */
    public int updateTBucketRecord(TBucketRecord tBucketRecord);

    /**
     * 批量删除分流策略配置记录
     * 
     * @param ids 需要删除的分流策略配置记录主键集合
     * @return 结果
     */
    public int deleteTBucketRecordByIds(Long[] ids);

    /**
     * 删除分流策略配置记录信息
     * 
     * @param id 分流策略配置记录主键
     * @return 结果
     */
    public int deleteTBucketRecordById(Long id);

    String editConf(TBucketRecord tBucketRecord);
}
