package com.slibra.business.service;

import java.util.List;
import com.slibra.business.domain.TUserAgent;

/**
 * 用户坐席关系中间Service接口
 * 
 * @author slibra
 * @date 2024-11-25
 */
public interface ITUserAgentService 
{
    /**
     * 查询用户坐席关系中间
     * 
     * @param id 用户坐席关系中间主键
     * @return 用户坐席关系中间
     */
    public TUserAgent selectTUserAgentById(Long id);

    /**
     * 查询用户坐席关系中间列表
     * 
     * @param tUserAgent 用户坐席关系中间
     * @return 用户坐席关系中间集合
     */
    public List<TUserAgent> selectTUserAgentList(TUserAgent tUserAgent);

    /**
     * 新增用户坐席关系中间
     * 
     * @param tUserAgent 用户坐席关系中间
     * @return 结果
     */
    public int insertTUserAgent(TUserAgent tUserAgent);

    /**
     * 修改用户坐席关系中间
     * 
     * @param tUserAgent 用户坐席关系中间
     * @return 结果
     */
    public int updateTUserAgent(TUserAgent tUserAgent);

    /**
     * 批量删除用户坐席关系中间
     * 
     * @param ids 需要删除的用户坐席关系中间主键集合
     * @return 结果
     */
    public int deleteTUserAgentByIds(Long[] ids);

    /**
     * 删除用户坐席关系中间信息
     * 
     * @param id 用户坐席关系中间主键
     * @return 结果
     */
    public int deleteTUserAgentById(Long id);
}
