package com.slibra.business.service;

import java.util.List;
import com.slibra.business.domain.TUserFeeInfo;

/**
 * 用户水费明细Service接口
 * 
 * @author slibra
 * @date 2024-11-05
 */
public interface ITUserFeeInfoService 
{
    /**
     * 查询用户水费明细
     * 
     * @param id 用户水费明细主键
     * @return 用户水费明细
     */
    public TUserFeeInfo selectTUserFeeInfoById(Long id);

    /**
     * 查询用户水费明细列表
     * 
     * @param tUserFeeInfo 用户水费明细
     * @return 用户水费明细集合
     */
    public List<TUserFeeInfo> selectTUserFeeInfoList(TUserFeeInfo tUserFeeInfo);

    /**
     * 新增用户水费明细
     * 
     * @param tUserFeeInfo 用户水费明细
     * @return 结果
     */
    public int insertTUserFeeInfo(TUserFeeInfo tUserFeeInfo);

    /**
     * 修改用户水费明细
     * 
     * @param tUserFeeInfo 用户水费明细
     * @return 结果
     */
    public int updateTUserFeeInfo(TUserFeeInfo tUserFeeInfo);

    /**
     * 批量删除用户水费明细
     * 
     * @param ids 需要删除的用户水费明细主键集合
     * @return 结果
     */
    public int deleteTUserFeeInfoByIds(Long[] ids);

    /**
     * 删除用户水费明细信息
     * 
     * @param id 用户水费明细主键
     * @return 结果
     */
    public int deleteTUserFeeInfoById(Long id);
}
