package com.slibra.business.service.impl;

import java.util.List;
import com.slibra.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.slibra.business.mapper.CAgentMonitorMapper;
import com.slibra.business.domain.CAgentMonitor;
import com.slibra.business.service.ICAgentMonitorService;

/**
 * 坐席监控Service业务层处理
 * 
 * @author slibra
 * @date 2024-11-25
 */
@Service
public class CAgentMonitorServiceImpl implements ICAgentMonitorService 
{
    @Autowired
    private CAgentMonitorMapper cAgentMonitorMapper;

    /**
     * 查询坐席监控
     * 
     * @param id 坐席监控主键
     * @return 坐席监控
     */
    @Override
    public CAgentMonitor selectCAgentMonitorById(String id)
    {
        return cAgentMonitorMapper.selectCAgentMonitorById(id);
    }

    /**
     * 查询坐席监控列表
     * 
     * @param cAgentMonitor 坐席监控
     * @return 坐席监控
     */
    @Override
    public List<CAgentMonitor> selectCAgentMonitorList(CAgentMonitor cAgentMonitor)
    {
        return cAgentMonitorMapper.selectCAgentMonitorList(cAgentMonitor);
    }

    /**
     * 新增坐席监控
     * 
     * @param cAgentMonitor 坐席监控
     * @return 结果
     */
    @Override
    public int insertCAgentMonitor(CAgentMonitor cAgentMonitor)
    {
        return cAgentMonitorMapper.insertCAgentMonitor(cAgentMonitor);
    }

    /**
     * 修改坐席监控
     * 
     * @param cAgentMonitor 坐席监控
     * @return 结果
     */
    @Override
    public int updateCAgentMonitor(CAgentMonitor cAgentMonitor)
    {
        return cAgentMonitorMapper.updateCAgentMonitor(cAgentMonitor);
    }

    /**
     * 批量删除坐席监控
     * 
     * @param ids 需要删除的坐席监控主键
     * @return 结果
     */
    @Override
    public int deleteCAgentMonitorByIds(String[] ids)
    {
        return cAgentMonitorMapper.deleteCAgentMonitorByIds(ids);
    }

    /**
     * 删除坐席监控信息
     * 
     * @param id 坐席监控主键
     * @return 结果
     */
    @Override
    public int deleteCAgentMonitorById(String id)
    {
        return cAgentMonitorMapper.deleteCAgentMonitorById(id);
    }
}
