package com.slibra.business.service.impl;

import java.util.List;
import com.slibra.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.slibra.business.mapper.CAgentMapper;
import com.slibra.business.domain.CAgent;
import com.slibra.business.service.ICAgentService;

/**
 * 坐席信息Service业务层处理
 * 
 * @author slibra
 * @date 2024-11-25
 */
@Service
public class CAgentServiceImpl implements ICAgentService 
{
    @Autowired
    private CAgentMapper cAgentMapper;

    /**
     * 查询坐席信息
     * 
     * @param id 坐席信息主键
     * @return 坐席信息
     */
    @Override
    public CAgent selectCAgentById(String id)
    {
        return cAgentMapper.selectCAgentById(id);
    }

    /**
     * 查询坐席信息列表
     * 
     * @param cAgent 坐席信息
     * @return 坐席信息
     */
    @Override
    public List<CAgent> selectCAgentList(CAgent cAgent)
    {
        return cAgentMapper.selectCAgentList(cAgent);
    }

    /**
     * 新增坐席信息
     * 
     * @param cAgent 坐席信息
     * @return 结果
     */
    @Override
    public int insertCAgent(CAgent cAgent)
    {
        return cAgentMapper.insertCAgent(cAgent);
    }

    /**
     * 修改坐席信息
     * 
     * @param cAgent 坐席信息
     * @return 结果
     */
    @Override
    public int updateCAgent(CAgent cAgent)
    {
        return cAgentMapper.updateCAgent(cAgent);
    }

    /**
     * 批量删除坐席信息
     * 
     * @param ids 需要删除的坐席信息主键
     * @return 结果
     */
    @Override
    public int deleteCAgentByIds(String[] ids)
    {
        return cAgentMapper.deleteCAgentByIds(ids);
    }

    /**
     * 删除坐席信息信息
     * 
     * @param id 坐席信息主键
     * @return 结果
     */
    @Override
    public int deleteCAgentById(String id)
    {
        return cAgentMapper.deleteCAgentById(id);
    }
}
